#!/bin/bash

IN_ON_CLUSTER="/work/boy/data/00_input/fresh"

export PATH=/usr/local/bin:${PATH}

echo "###########################################"
echo $(date) 

#we need start the 
#eval `ssh-agent -s`
#ssh-add pw

#we need to open the a connection to the idiv gateway
#ssh idiv-gateway
/data/./openHPCGateWay.sh

#we need to open the a connection to the idiv gateway
#terminal --noclose -e "ssh idiv-gateway"


cd /data/
#we iterate over the folder 
for dir in /data/*/
do
    dir=${dir%*/}
    echo "process $dir" 
    #echo ${dir##*/}
    #we copy it and tar it togehter
#    #tar cf - $dir | ssh idiv1 "cat > /work/boy/'${dir}'.tar"
    rsync -a --no-motd -e "ssh -i /data/.cron_id" $dir "idiv1:${IN_ON_CLUSTER}" &
#    # tar cf - $dir -P | pv -s $(du -sb $dir | awk '{print $1}') | ssh -q idiv1 "cat > /work/boy/'${dir}'.tar" &
#    #maybe rsync ? 		
done
#
wait ##todo wait if we do it parallel
#echo "copy all files completed, remove them on local server"
#
#for dir in /data/*/
#do
#    dir=${dir%*/}
#    echo "remove $dir"
#    rm -rf $dir
#done 


#echo "transfer data"
#find /data -mindepth 1 -maxdepth 1 -type d -name 'rec*' |
#parallel -j $(( $(grep -c ^processor /proc/cpuinfo) * 2 )) rsync -e "ssh -i /data/.cron_id" -a --no-motd {}/ idiv1:/work/boy/data/00_input/fresh/{/}/


echo "update recordlist"
scp -o "IdentitiesOnly=yes" -i /data/.cron_id /data/recordlist.json idiv1:/work/boy/data/00_input/fresh/

echo $(date) 


cd /data/
#we double check if all dirs are copied
rsync -R -r -v -e "ssh -i /data/.cron_id" --files-from=<(find . -mindepth 1 -maxdepth 1 -type d -name 'rec*') ./  idiv1:/work/boy/data/00_input/fresh/
if [ "$?" -eq "0" ]; then
  # if success we could delete all files here
  echo "remove all the local copy" 
  ./rmRecDirs.sh
  #echo "done"
else
  echo "error while running rsync, no complete copy"
fi

#we close the tunnel
pkill -u thomasboy ssh
echo $(date) 

