# !/bin/bash
# usage: ./drawFromAllDirsX.sh 5 /path/to/dir 
#will call the draw script for all dir here

if [ ! -d $2 ]; then
	echo "dir $2 not found, will abort" 
	exit
fi

for dir in ./rec*/
do
    dir=${dir%*/}
    echo "draw from $dir"
    DEST="$2/$dir"
    mkdir -p "$DEST"
    draw.sh $1 "${dir}/data/" "$DEST"     		
done

