# !/bin/bash
ID=$1
IDSTRING=$(printf "%08d" $ID)

INPUT_DIR="/work/boy/data/00_input/rec$IDSTRING/"
OUTPUT_DIR="/work/boy/data/02_preprocessed/rec${IDSTRING}pp/"

#test if dir is existing
if [ ! -d $INPUT_DIR ]; then
        echo "input path: $PATHIN not found"
        exit
fi
if [ ! -d $OUTPUT_DIR ]; then
        echo "input path: $PATHOUT not found"
        exit
fi


FILE_CAM_PARAM="$OUTPUT_DIR/camera_param_*.xml"
FILE_CAM_CENTER="$OUTPUT_DIR/camera_center_*.xml"
OUTPUT_DIR="$OUTPUT_DIR/data/"
INDEX_START="$((0))"
INDEX_END="$((1))"

echo "preprocess $FILE_CAM_PARAM $FILE_CAM_CENTER $INDEX_START $INDEX_END $INPUT_DIR $OUTPUT_DIR"
preprocess $FILE_CAM_PARAM $FILE_CAM_CENTER $INDEX_START $INDEX_END $INPUT_DIR $OUTPUT_DIR

eog "$OUTPUT_DIR/0000000000.jpg" 

