#ifndef STARTMOMENT_H
#define STARTMOMENT_H

#include <QDebug>
#include <QPair>

class StartMoment
{
public:
    StartMoment();

    quint64 tStartCamS() const;
    void setTStartCamS(const quint64 &tStartCamS);

    quint64 tStartCamMS() const;
    void setTStartCamMS(const quint64 &tStartCamMS);

    quint64 tStartServerS() const;
    void setTStartServerS(const quint64 &tStartServerS);

    quint64 tStartServerMS() const;
    void setTStartServerMS(const quint64 &tStartServerMS);

    //! returns the unix timestamp calculated from server and cam time
    //! first = seconds
    //! seconds = milliseconds
    QPair<quint64,quint64> getDiff(quint64 camSeconds, quint64 camMSeconds);


private:
    quint64 m_tStartCamS;
    quint64 m_tStartCamMS;
    quint64 m_tStartServerS;
    quint64 m_tStartServerMS;

};

#endif // STARTMOMENT_H
