
## generate project dependency
# On windows, a shared object is a .dll
win32{

SONAME=dll
#CONFIG += staticlib

##win32: microsoft visual studio tool chain
win32-msvc* {
CONFIG -= dll
CONFIG += shared static
message(* win32-msvc build spec)
}#end win32-msvc

}#end win32

# on unix other than mac os
unix:  SONAME=so

# on mac
unix:mac:   SONAME=dylib

# This function sets up the dependencies for libraries that are built with
# this project.  Specify the libraries you need to depend on in the variable
# DEPENDENCY_LIBRARIES and this will add
for(dep, DEPENDENCY_LIBRARIES) {
#os diff
unix {
    message((unix)module: $$TARGET depends on $$dep ($${DESTDIR}/lib$${dep}.$${SONAME}))
    LIBS += $${DESTDIR}/lib$${dep}.$${SONAME}
    PRE_TARGETDEPS += $${DESTDIR}/lib$${dep}.$${SONAME}
}#end unix

win32 {
    message((win32)module: $$TARGET depends on $$dep (-L$${DESTDIR} -l$${dep}))
    LIBS += -L$${DESTDIR}
    LIBS += -l$${dep}
#    PRE_TARGETDEPS += $${DESTDIR}/$${dep}.$${SONAME}
#    message((unix)module: $$TARGET depends on $$dep ($${DESTDIR}/$${dep}.$${SONAME}))
#    LIBS += $${DESTDIR}/$${dep}.$${SONAME}
#    PRE_TARGETDEPS += $${DESTDIR}/$${dep}.$${SONAME}
}#end win32

}#end for

#um die dynamische Bibo zur Laufzeit zu finden
#message(Exportiere dynamische Bibliothek)
#message(export LD_LIBRARY_PATH=$${DESTDIR})
#system(export LD_LIBRARY_PATH=$${DESTDIR})

