# !/bin/bash

SCRIPT=/work/boy/data/preprocessed/preprocess.sub
ID=$1

IDSTRING=$(printf "%08d" $ID)

PATHIN="/work/boy/data/data/rec$IDSTRING/"
PATHOUT="/work/boy/data/preprocessed/rec${IDSTRING}pp/"

#test if dir is existing
if [ ! -d $PATHIN ]; then
	echo "input path: $PATHIN not found" 
	exit
fi
if [ ! -d $PATHOUT ]; then
        echo "input path: $PATHOUT not found"
        exit
fi



FIRSTFILE="$PATHIN/0000000000.jpg"
if [ ! -f $FIRSTFILE ]; then
	echo "file: $FIRSTFILE not found in dir: $PATHIN" 
	exit
fi

AMJ="$(ls $PATHIN | tail -n 1)"
echo "last file: $AMJ"

TOKEN=""
NUMJ="${AMJ/\.tt/$TOKEN}"
#NUM="${AMJ/\.jpg/$TOKEN}"
echo "number of single jobs: $NUMJ"
# sed removes leading zeroes from stdin
NUMJ=$(echo $NUMJ | sed 's/^0*//')
echo "number of single jobs: $NUMJ"
NUMA=$(($NUMJ / 1000 + 1))
echo "number of array jobs: $NUMA"

#TODO test if al config file are there

#we overwrite our file 
#NUMA="$((1))"

echo "call: qsub -N pp-$ID -t 1-$NUMA $SCRIPT $PATHIN $PATHOUT"

qsub -N pp-$ID -t 1-$NUMA $SCRIPT $PATHIN $PATHOUT

#echo "path in: "
#qsub -N pp-rec08187 -t 1-12 $SCRIPT /work/boy/data/data/rec00008187pp/ /work/boy/data/preprocessed/rec00008187pp/

