# camtrack300

> [!WARNING]
>
> license problem, please do **not** publish this code as opensource before fixiing mixing example code from  Allied Vision Technologies and Thomas Boy


## aim of project

this software is a cpp project which:

* stores pictures cameras deliver to harddisk
* interact with the cameras Prosilica GT 1920 , see [camera spec](
https://www.alliedvision.com/de/produkte/kameras/kameradetails/Prosilica%20GT/1920.html
)
* init and control camera 
* writes record files structure, with limited meta data


## dependencies

* qt dev framework with at  least version > 5.0 
* ffmpeg
* libopencv
* libavcodec

``` console
apt-get install qt5-qmake qtbase5-dev qtbase5-dev-tools-dbg libopencv-dev ffmpeg libavcodec-dev
```

* external closed source software from camera supplier: [vimba sdk](https://www.alliedvision.com/de/produkte/software.html) 
* software is tested with version:  vimba sdk V1.4.1 and  qt  qtbase5-dev:
  Installed: 5.9.5+dfsg-0ubuntu2.5
*  vimba 1.4 cpp header and linkable (so) files are added to the project under (for legacy support): [sdk includes](thirdParty/vimba1.4/)


## build the code

a) get the code

``` console
git clone https://git.idiv.de/tb55xemi/camTrack3000
```

b)  build

``` console
cd camTrack3000/
qmake .
make -j  20 
```


## configure app

important config file is: 

[software config](bin/config.json)

edit maybe the output path, where the app stores the data,
the rest


## start the app 

TODO: make it more easy, maybe install option of qmake , path variable or or or 

``` console
cd ~/work/camTrack3000/bin/
export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:.
./startRecorder.sh
```

 success looks on command prompt:
 TODO: double check what is prompt syntax
 
``` console
"DEV_000F310338D3"
"DEV_000F310338D4"
recorder1:
.... "DEV_000F310338D3"
"DEV_000F310338D3"
"DEV_000F310338D4"
recorder2:
.... "DEV_000F310338D4"
0x7fa9b9e19280  will use cam:  "DEV_000F310338D3"

Web server is waiting for a connection on port: 8080
0x7fce614da280  will use cam:  "DEV_000F310338D4"

Web server is waiting for a connection on port: 8081
```

failure, e.g. no camera switched on

``` console
wait for cams to be found with vimba detection
"AsynchronousGrab (Qt version) Vimba Version V1.4.1"
"Starting Vimba...TL not loaded."
started recoding thread:  0x7f2184eee700

Web server is waiting for a connection on port: 8080
```

no succes or recorder 1 or recorder 2 could be read


## stop the app 


Needed to free the reserved ports of the http server.
The app called recorder stops and frees the ports.
2 cameras, 2 threads named recorder are existing.

``` console
pkill recorder 
```

> [!WARNING]
>
> this kills both stareted threads, also every recording will be interupted !!
