# !/bin/bash
# usage: ./makeFileList.sh destDir fileName

DESTDIR=$1
FILENAME=$2

if [ ! -d "$DESTDIR" ]; then
	echo "error dir: $1 not existing"
	exit
fi
#we write the header
echo -e "<?xml version=\"1.0\"?>\n<opencv_storage>\n<images>" > $FILENAME

#we write the file list
ALLFILENAMES="$(ls $DESTDIR*.jpg)"
#we add 
#echo $ALLFILENAMES

#we print all file name and replace jpg suffix with jpg and a new line
echo $ALLFILENAMES | sed -e $'s/jpg /\jpg\\n/g' >> $FILENAME

#echo $ALLFILESNAMES

#we write the footer
echo -e "</images>\n</opencv_storage>" >> $FILENAME


